libetonyek::NUMCollector Class Reference documentation

libetonyek::NUMCollector Class Referencefinal

`#include <NUMCollector.h>`

Inheritance diagram for libetonyek::NUMCollector:

## Public Member Functions
| NUMCollector (IWORKDocumentInterface *document)
void | startDocument ()
void | endDocument ()
void | startWorkSpace (boost::optional< std::string > const &name)
void | endWorkSpace (IWORKTableNameMapPtr_t tableNameMap)
boost::optional< std::string > | getWorkSpaceName () const final
void | collectStickyNote () final
Public Member Functions inherited from libetonyek::IWORKCollector
| IWORKCollector (IWORKDocumentInterface *document)
virtual | ~IWORKCollector ()
void | setRecorder (const std::shared_ptr< IWORKRecorder > &recorder)
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | setAccumulateTransformTo (bool accumulate)
void | collectBezier (const IWORKPathPtr_t &path)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape (const boost::optional< int > &order=boost::none, const boost::optional< unsigned > &resizeFlags=boost::none, bool locked=false)
void | collectBezierPath ()
void | collectPolygonPath (const IWORKSize &size, unsigned edges)
void | collectRoundedRectanglePath (const IWORKSize &size, double radius)
void | collectArrowPath (const IWORKSize &size, double headWidth, double stemRelYPos, bool doubleSided)
void | collectStarPath (const IWORKSize &size, unsigned points, double innerRadius)
void | collectConnectionPath (const IWORKConnectionPath &path)
void | collectCalloutPath (const IWORKSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
void | collectImage (const IWORKMediaContentPtr_t &image, const IWORKGeometryPtr_t &cropGeometry=IWORKGeometryPtr_t(), const boost::optional< int > &order=boost::none, bool locked=false)
void | collectMedia (const IWORKMediaContentPtr_t &content, const IWORKGeometryPtr_t &cropGeometry=IWORKGeometryPtr_t(), const boost::optional< int > &order=boost::none)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectMetadata (const IWORKMetadata &metadata)
void | collectHeader (const std::string &name)
void | collectFooter (const std::string &name)
void | collectTable (const std::shared_ptr< IWORKTable > &table)
void | collectText (const std::shared_ptr< IWORKText > &text)
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | startAttachment ()
void | endAttachment ()
void | startAttachments ()
void | endAttachments ()
void | startGroup ()
void | endGroup ()
void | openGroup ()
void | closeGroup ()
bool | getOpenGroupLevel () const
void | startLevel ()
void | endLevel ()
void | pushStyle ()
void | popStyle ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()
IWORKStylesheetPtr_t | getStylesheet () const
IWORKOutputManager & | getOutputManager ()
virtual std::shared_ptr< IWORKTable > | createTable (const IWORKTableNameMapPtr_t &tableNameMap, IWORKFormatNameMap &formatNameMap, const IWORKLanguageManager &langManager) const
virtual std::shared_ptr< IWORKText > | createText (const IWORKLanguageManager &langManager, bool discardEmptyContent=false, bool allowListInsertion=true) const

## Private Member Functions
void | drawTable () final
void | drawMedia (double x, double y, const librevenge::RVNGPropertyList &data) final
void | fillShapeProperties (librevenge::RVNGPropertyList &props) final
bool | createFrameStylesForTextBox () const final
void | drawTextBox (const IWORKTextPtr_t &text, const glm::dmat3 &trafo, const IWORKGeometryPtr_t &boundingBox, const librevenge::RVNGPropertyList &style) final

## Private Attributes
bool | m_workSpaceOpened
boost::optional< std::string > | m_workSpaceName
bool | m_workSpaceCreateGraphic
std::vector< IWORKOutputElements > | m_tableElementLists

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKCollector
void | fillMetadata (librevenge::RVNGPropertyList &props)
void | drawShape (const IWORKShapePtr_t &shape)
| IWORKCollector (const IWORKCollector &)
IWORKCollector & | operator= (const IWORKCollector &)
Static Protected Member Functions inherited from libetonyek::IWORKCollector
static void | fillGraphicProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props, bool isSurface=true, bool isFrame=false)
static void | fillLayoutProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props)
static void | fillTextAutoSizeProps (const boost::optional< unsigned > &resizeFlags, const IWORKGeometryPtr_t &boundingBox, librevenge::RVNGPropertyList &props)
static void | fillWrapProps (const IWORKStylePtr_t style, librevenge::RVNGPropertyList &props, const boost::optional< int > &order)
static void | writeFill (const IWORKFill &fill, librevenge::RVNGPropertyList &props)
Protected Attributes inherited from libetonyek::IWORKCollector
IWORKDocumentInterface * | m_document
std::shared_ptr< IWORKRecorder > | m_recorder
std::stack< Level > | m_levelStack
IWORKStyleStack | m_styleStack
std::stack< IWORKStylesheetPtr_t > | m_stylesheetStack
IWORKOutputManager | m_outputManager
std::deque< IWORKStylePtr_t > | m_newStyles
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText
IWORKHeaderFooterMap_t | m_headers
IWORKHeaderFooterMap_t | m_footers
std::stack< IWORKPathPtr_t > | m_pathStack
IWORKPathPtr_t | m_currentPath
std::stack< bool > | m_attachmentStack
bool | m_inAttachment
bool | m_inAttachments

## Constructor & Destructor Documentation

## ◆ NUMCollector()

libetonyek::NUMCollector::NUMCollector | ( | IWORKDocumentInterface * | document | ) |
| explicit

## Member Function Documentation

## ◆ collectStickyNote()

void libetonyek::NUMCollector::collectStickyNote | ( |  | ) |
| finalvirtual

Reimplemented from libetonyek::IWORKCollector.

## ◆ createFrameStylesForTextBox()

bool libetonyek::NUMCollector::createFrameStylesForTextBox | ( |  | ) | const
| inlinefinalprivatevirtual

Implements libetonyek::IWORKCollector.

Referenced by createFrameStylesForTextBox().

## ◆ drawMedia()

void libetonyek::NUMCollector::drawMedia | ( | double | x,
|  | double | y,
|  | const librevenge::RVNGPropertyList & | data )
| finalprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ drawTable()

void libetonyek::NUMCollector::drawTable | ( |  | ) |
| finalprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ drawTextBox()

void libetonyek::NUMCollector::drawTextBox | ( | const IWORKTextPtr_t & | text,
|  | const glm::dmat3 & | trafo,
|  | const IWORKGeometryPtr_t & | boundingBox,
|  | const librevenge::RVNGPropertyList & | style )
| finalprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ endDocument()

void libetonyek::NUMCollector::endDocument | ( |  | ) |

Referenced by libetonyek::NUM3Parser::parseDocument().

## ◆ endWorkSpace()

void libetonyek::NUMCollector::endWorkSpace | ( | IWORKTableNameMapPtr_t | tableNameMap | ) |

Referenced by libetonyek::NUM3Parser::parseSheet(), and startWorkSpace().

## ◆ fillShapeProperties()

void libetonyek::NUMCollector::fillShapeProperties | ( | librevenge::RVNGPropertyList & | props | ) |
| finalprivatevirtual

Implements libetonyek::IWORKCollector.

Referenced by drawMedia(), and drawTextBox().

## ◆ getWorkSpaceName()

boost::optional< std::string > libetonyek::NUMCollector::getWorkSpaceName | ( |  | ) | const
| inlinefinalvirtual

Reimplemented from libetonyek::IWORKCollector.

## ◆ startDocument()

void libetonyek::NUMCollector::startDocument | ( |  | ) |

Referenced by libetonyek::NUM3Parser::parseDocument().

## ◆ startWorkSpace()

void libetonyek::NUMCollector::startWorkSpace | ( | boost::optional< std::string > const & | name | ) |

Referenced by libetonyek::NUM3Parser::parseSheet().

## Member Data Documentation

## ◆ m_tableElementLists

std::vector<IWORKOutputElements> libetonyek::NUMCollector::m_tableElementLists
| private

Referenced by drawTable(), endWorkSpace(), and NUMCollector().

## ◆ m_workSpaceCreateGraphic

bool libetonyek::NUMCollector::m_workSpaceCreateGraphic
| private

Referenced by drawTable(), endWorkSpace(), NUMCollector(), and startWorkSpace().

## ◆ m_workSpaceName

boost::optional<std::string> libetonyek::NUMCollector::m_workSpaceName
| private

Referenced by endWorkSpace(), getWorkSpaceName(), NUMCollector(), and startWorkSpace().

## ◆ m_workSpaceOpened

bool libetonyek::NUMCollector::m_workSpaceOpened
| private

Referenced by endWorkSpace(), NUMCollector(), and startWorkSpace().

The documentation for this class was generated from the following files:

- NUMCollector.h
- NUMCollector.cpp